call spQuery_Combo_Lista_Precios_Comision('2012', '05', '2', '19');
call spQuery_Combo_Lista_Precios_Comision('2012', '05', '1', '13');
call spQuery_Combo_Lista_Precios_Comision('2012', '06', '1', '0');
call spQuery_Combo_Lista_Precios_Comision('2012', '05', '2', '13');

DROP PROCEDURE IF EXISTS spQuery_Combo_Lista_Precios_Comision;
CREATE PROCEDURE spQuery_Combo_Lista_Precios_Comision(
  varAnio       varchar(4),
  varMes        varchar(2),
  varEmpresa    int,
  varProveedor  int
  )
BEGIN 
  select id_lista, nombre from _sv_lista
  where _estado='A'
  and id_empresa = varEmpresa
  and id_lista not in
      (
      select id_lista 
      from _sv_proveedor_comision
      where id_anio     = varAnio
      and id_mes        = varMes
      and id_proveedor  = varProveedor
      and id_empresa    = varEmpresa
      )
  order by nombre;
END;
